Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class RevokeRequest

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.RevokeRequest

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class RevokeRequest
extends ASN1Object

RevokeRequest ::= SEQUENCE { issuerName Name, serialNumber INTEGER, reason CRLReason, invalidityDate GeneralizedTime OPTIONAL, passphrase OCTET STRING OPTIONAL, comment UTF8String OPTIONAL }

Constructor Summary
`RevokeRequest(X500Name name, ASN1Integer serialNumber, CRLReason reason, ASN1GeneralizedTime invalidityDate, ASN1OctetString passphrase, ASN1UTF8String comment)`

Method Summary
`DERUTF8String` | `getComment()` Deprecated. Use `getCommentUTF8()` instead.
`ASN1UTF8String` | `getCommentUTF8()`
`static RevokeRequest` | `getInstance(java.lang.Object o)`
`ASN1GeneralizedTime` | `getInvalidityDate()`
`X500Name` | `getName()`
`ASN1OctetString` | `getPassphrase()`
`byte[]` | `getPassPhrase()`
`CRLReason` | `getReason()`
`java.math.BigInteger` | `getSerialNumber()`
`void` | `setComment(ASN1UTF8String comment)`
`void` | `setInvalidityDate(ASN1GeneralizedTime invalidityDate)`
`void` | `setPassphrase(ASN1OctetString passphrase)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RevokeRequest

    public RevokeRequest(X500Name name,
                         ASN1Integer serialNumber,
                         CRLReason reason,
                         ASN1GeneralizedTime invalidityDate,
                         ASN1OctetString passphrase,
                         ASN1UTF8String comment)

Method Detail

### getInstance

    public static RevokeRequest getInstance(java.lang.Object o)

### getName

    public X500Name getName()

### getSerialNumber

    public java.math.BigInteger getSerialNumber()

### getReason

    public CRLReason getReason()

### getInvalidityDate

    public ASN1GeneralizedTime getInvalidityDate()

### setInvalidityDate

    public void setInvalidityDate(ASN1GeneralizedTime invalidityDate)

### getPassphrase

    public ASN1OctetString getPassphrase()

### setPassphrase

    public void setPassphrase(ASN1OctetString passphrase)

### getComment

    public DERUTF8String getComment()

  Deprecated. Use `getCommentUTF8()` instead.

### getCommentUTF8

    public ASN1UTF8String getCommentUTF8()

### setComment

    public void setComment(ASN1UTF8String comment)

### getPassPhrase

    public byte[] getPassPhrase()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD